play.exceptions

## Class PlayExceptionWithJavaSource

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.PlayExceptionWithJavaSource

- All Implemented Interfaces:
    java.io.Serializable, SourceAttachment
  Direct Known Subclasses:
    CacheException, DatabaseException, JavaExecutionException, MailException

      public abstract class PlayExceptionWithJavaSource
      extends PlayException
      implements SourceAttachment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PlayExceptionWithJavaSource(java.lang.String message)`
    `protected` | `PlayExceptionWithJavaSource(java.lang.String message, java.lang.Throwable cause)`
    `protected` | `PlayExceptionWithJavaSource(java.lang.String message, java.lang.Throwable cause, ApplicationClasses.ApplicationClass applicationClass, java.lang.Integer line)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getLineNumber()`
    `java.util.List<java.lang.String>` | `getSource()`
    `java.lang.String` | `getSourceFile()`
    `boolean` | `isSourceAvailable()`

    - ### Methods inherited from class play.exceptions.PlayException

      `getErrorDescription, getErrorTitle, getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getMoreHTML`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayExceptionWithJavaSource

          protected PlayExceptionWithJavaSource(java.lang.String message)

    - #### PlayExceptionWithJavaSource

          protected PlayExceptionWithJavaSource(java.lang.String message,
                                                java.lang.Throwable cause,
                                                ApplicationClasses.ApplicationClass applicationClass,
                                                java.lang.Integer line)

    - #### PlayExceptionWithJavaSource

          protected PlayExceptionWithJavaSource(java.lang.String message,
                                                java.lang.Throwable cause)

  - ### Method Detail

    - #### getSourceFile

          public java.lang.String getSourceFile()

      Specified by:
        `getSourceFile` in interface `SourceAttachment`
      Overrides:
        `getSourceFile` in class `PlayException`

    - #### getSource

          public java.util.List<java.lang.String> getSource()

      Specified by:
        `getSource` in interface `SourceAttachment`

    - #### getLineNumber

          public java.lang.Integer getLineNumber()

      Specified by:
        `getLineNumber` in interface `SourceAttachment`
      Overrides:
        `getLineNumber` in class `PlayException`

    - #### isSourceAvailable

          public boolean isSourceAvailable()

      Overrides:
        `isSourceAvailable` in class `PlayException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly